#!/bin/sh
# Create Directory Archive.
# Under GPL ver 2.0 and above
# Written by hip0
# Script Description:
# uses $dir for a basis and tar-gzips
# all directories under $dir.

dir=/home/customusers;
cur_date=`date +%d_%m_%Y|sed -e 's/^ *//'`;

chk_backup_dir_existence () {
if [ -d "$dir" ]; then
cd "$dir";
else
echo "Missing Directory ...!";
exit 1;
fi
}

create_backups () {
for i in `ls -1 $dir`; do
if [ -d "$i" ]; then
echo tar -czf $i-back_$cur_date.tar.gz $i;
fi
done
}

main () {
chk_backup_dir_existence;
create_backups;
}

main;

