#!/bin/sh
base_dir=/root/.backups;
cur_date=`date +%y%m%d%k`;
dir=/root/.backups/$cur_date;
mysql_data_dir=/usr/local/mysql/data;
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
if [ ! -d "$dir" ]; then
mkdir "$dir"; cd "$dir"; nice -n 10 cp -rf "$mysql_data_dir" ./;
cd ..;
tar -czf mysql-"$cur_date".tar.gz "$dir" 2>&1 > /dev/null;
mv mysql-"$cur_date".tar.gz "$dir/";
nice -n 5 rm -rf "$dir"/data;
fi
